Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.binary
Class StructTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.monte.media.binary.StructTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class StructTableModel

extends javax.swing.table.AbstractTableModel

Table model for structured binary data.

Version:
  1.1 2000-09-29
  1.0 2000-06-12
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland
See Also:
  Serialized Form

Nested Class Summary
`static class` | `StructTableModel.Value` Represents one typed value of the data structure represented by the StructTableModel.

Field Summary
`protected java.util.Vector` | `data`
`protected StructParser.TypedefDeclaration` | `typedef`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`StructTableModel(StructParser.TypedefDeclaration typedef, java.util.Vector data)` Vector provides the data of the model.

Method Summary
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int column)`
`static java.lang.String` | `identifierToString(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    protected java.util.Vector data

### typedef

    protected StructParser.TypedefDeclaration typedef

Constructor Detail

### StructTableModel

    public StructTableModel(StructParser.TypedefDeclaration typedef,
                            java.util.Vector data)

  Vector provides the data of the model. Even entries are represented by the first column of the table. Odd entries are represented by the second column of the table.

Method Detail

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

### identifierToString

    public static java.lang.String identifierToString(java.lang.String s)

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD